---
title: Web Developer Resource List
weight: 2
seo:
  title: Quick Start
  description: This is the quick start page
  extra:
    - name: 'og:type'
      value: website
      keyName: property
    - name: 'og:title'
      value: Quick Start
      keyName: property
    - name: 'og:description'
      value: This is the quick start page
      keyName: property
    - name: 'twitter:card'
      value: summary
    - name: 'twitter:title'
      value: Quick Start
    - name: 'twitter:description'
      value: This is the quick start page
template: docs
---
**# Web-Development-Resources-Part-3**
**# Web Development Resources Part 3**
I'm the psychological equivalent of a physical hoarder only instead of empty soda cans and dead racoons it's lists of links and resources.
\---
**### Web Development Resources Part 3**
I'm the psychological equivalent of a physical hoarder only instead of empty soda cans and dead racoons it's lists of links and resources.
**### Here's parts one and two:**
\*\*\[My ‘awesome' list of JavaScript resources\*\*\*Everyone's seen the ‘Awesome' lists on GitHub… and they are indeed awesome… so today I am going to attempt to curate my…\*javascript.plainenglish.io]\(https://javascript.plainenglish.io/my-take-on-awesome-javascript-243255451e74)
\*\*\[Web Developer Resource List Part 2\*\*\*Because I compile these things compulsively anyway…\*medium.com]\(https://medium.com/star-gazers/web-developer-resource-list-part-2-9c5cb56ab263)
\---
!\[https://cdn-images-1.medium.com/max/600/0\*7Taf8gWWh5YjoM-s.png]\(https://cdn-images-1.medium.com/max/600/0\*7Taf8gWWh5YjoM-s.png)
**### Performance**
\- \[https://developers.google.com/web/fundamentals/performance/webpack/]\(https://developers.google.com/web/fundamentals/performance/webpack/)- \[https://iamakulov.com/notes/resize-scroll/]\(https://iamakulov.com/notes/resize-scroll/)- \[https://iamakulov.com/notes/optimize-images-webpack/]\(https://iamakulov.com/notes/optimize-images-webpack/)- \[https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size]\(https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size)- \[https://code.facebook.com/posts/557147474482256]\(https://code.facebook.com/posts/557147474482256)- \[www.phpied.com/rendering-repaint-reflowrelayout-restyle]\(http://www.phpied.com/rendering-repaint-reflowrelayout-restyle)- \[https://blogs.windows.com/msedgedev/2017/03/08/scrolling-on-the-web/]\(https://blogs.windows.com/msedgedev/2017/03/08/scrolling-on-the-web/)- \[https://developers.google.com/web/fundamentals/performance/lazy-loading-guidance/images-and-video/]\(https://developers.google.com/web/fundamentals/performance/lazy-loading-guidance/images-and-video/)
!\[https://cdn-images-1.medium.com/max/800/0\*-D07MORsmwK-pHOZ.jpg]\(https://cdn-images-1.medium.com/max/800/0\*-D07MORsmwK-pHOZ.jpg)
**### Case studies**
\- \[https://github.com/andrew--r/frontend-case-studies]\(https://github.com/andrew--r/frontend-case-studies)- \[http://iamakulov.com/notes/walmart/]\(http://iamakulov.com/notes/walmart/)
**### Interviews**
\- \[https://performancejs.com/post/hde6d32/The-Best-Frontend-JavaScript-Interview-Questions-(Written-by-a-Frontend-Engineer)]\(https://performancejs.com/post/hde6d32/The-Best-Frontend-JavaScript-Interview-Questions-%28Written-by-a-Frontend-Engineer%29)- \[https://github.com/nishant8BITS/123-Essential-JavaScript-Interview-Question]\(https://github.com/nishant8BITS/123-Essential-JavaScript-Interview-Question)- \[https://github.com/yangshun/tech-interview-handbook]\(https://github.com/yangshun/tech-interview-handbook)- \[https://github.com/IgnaciodeNuevo/frontend-development-interviews#questions-to-know-the-company-better]\(https://github.com/IgnaciodeNuevo/frontend-development-interviews#questions-to-know-the-company-better)- \[http://www.creativebloq.com/features/12-common-javascript-questions-answered]\(http://www.creativebloq.com/features/12-common-javascript-questions-answered)- \[http://www.thatjsdude.com/interview/js1.html]\(http://www.thatjsdude.com/interview/js1.html)- \[http://www.thatjsdude.com/interview/js2.html]\(http://www.thatjsdude.com/interview/js2.html)- \[http://www.thatjsdude.com/interview/dom.html]\(http://www.thatjsdude.com/interview/dom.html)- \[https://github.com/khan4019/front-end-Interview-Questions]\(https://github.com/khan4019/front-end-Interview-Questions)- \[https://github.com/h5bp/Front-end-Developer-Interview-Questions]\(https://github.com/h5bp/Front-end-Developer-Interview-Questions)
**### Web**
\- \[https://howdns.works/]\(https://howdns.works/)- \[https://howhttps.works]\(https://howhttps.works/)
**### Architecture**
\- \[https://medium.com/@cramforce/designing-very-large-javascript-applications-6e013a3291a3]\(https://medium.com/@cramforce/designing-very-large-javascript-applications-6e013a3291a3)- \[https://www.toptal.com/javascript/comprehensive-guide-javascript-design-patterns]\(https://www.toptal.com/javascript/comprehensive-guide-javascript-design-patterns)- \[https://addyosmani.com/resources/essentialjsdesignpatterns/book/]\(https://addyosmani.com/resources/essentialjsdesignpatterns/book/)
**### Accessibility**
\- \[https://developers.google.com/web/fundamentals/accessibility/how-to-review]\(https://developers.google.com/web/fundamentals/accessibility/how-to-review)
**### Node**
\- \[https://www.toptal.com/javascript/a-guide-to-npm-the-node-package-manager]\(https://www.toptal.com/javascript/a-guide-to-npm-the-node-package-manager)
**### JS**
\- \[https://blog.mgechev.com/2018/01/29/javascript-decorators-aop-autobind-memoization/]\(https://blog.mgechev.com/2018/01/29/javascript-decorators-aop-autobind-memoization/)- \[https://developers.google.com/web/fundamentals/primers/async-functions]\(https://developers.google.com/web/fundamentals/primers/async-functions)- \[https://developers.google.com/web/fundamentals/primers/promises]\(https://developers.google.com/web/fundamentals/primers/promises)- \[https://www.toptal.com/javascript/asynchronous-javascript-async-await-tutorial]\(https://www.toptal.com/javascript/asynchronous-javascript-async-await-tutorial)- \[https://www.toptal.com/software/definitive-guide-to-datetime-manipulation]\(https://www.toptal.com/software/definitive-guide-to-datetime-manipulation)- \[https://www.toptal.com/javascript/javascript-es6-cheat-sheet]\(https://www.toptal.com/javascript/javascript-es6-cheat-sheet)- \[https://www.safaribooksonline.com/library/view/es6-in-motion/10000MNLV201701/]\(https://www.safaribooksonline.com/library/view/es6-in-motion/10000MNLV201701/)
**### CSS**
\- \[https://www.smashingmagazine.com/2018/05/print-stylesheets-in-2018/]\(https://www.smashingmagazine.com/2018/05/print-stylesheets-in-2018/)
**### If you found this guide helpful feel free to checkout my GitHub/gists where I host similar content:**
\*\*\[bgoonz's gists\*\*\*Instantly share code, notes, and snippets. Web Developer, Electrical Engineer JavaScript | CSS | Bootstrap | Python |…\*gist.github.com]\(https://gist.github.com/bgoonz)
\*\*\[bgoonz — Overview\*\*\*Web Developer, Electrical Engineer JavaScript | CSS | Bootstrap | Python | React | Node.js | Express | Sequelize…\*github.com]\(https://github.com/bgoonz)
**### Or Checkout my personal Resource Site:**


